#include <stdlib.h>
#include <stdio.h>
#include <time.h>


typedef struct st_window_element {
  int seq_num; // 0 to 2**16-1
  int time_sent; // only for the client (timeout)
  int acked;
  char pkt[512]; // the packet
  struct st_window_element *next;
} st_window_element;

typedef st_window_element *window_element;

window_element window_element_empty;

void display_we(struct st_window_element *we) {
  printf("seq_num: %d - time_sent: %d", we->seq_num, we->time_sent);
}

void display_we_with_contents(struct st_window_element *we) {
  int l;
  
  printf("seq_num: %d - time_sent: %d - contents:\n", we->seq_num, we->time_sent);
  for(l = 0; l < sizeof(we->pkt); l++) {
    printf("%c",we->pkt[l]);
  }
  printf("\n");
}
